diff make/make.sh @ 36:9a5ef2d1264e

Call indexsections.py and work around a bug in xmlto.
author Rob Landley <rob@landley.net>
date Mon, 10 Sep 2007 05:41:08 -0500
parents 6f30fdd28dab
children 841aab0fd204
line wrap: on
line diff
--- a/make/make.sh	Mon Sep 10 00:13:33 2007 -0500
+++ b/make/make.sh	Mon Sep 10 05:41:08 2007 -0500
@@ -1,11 +1,18 @@
 #!/bin/bash
 
-echo Update linux kernel from kernel.org Mercurial repository
 
 # mkdir -p ~/linux
 # cd ~/linux
 # hg clone http://kernel.org/hg/linux-2.6 hg
 
+echo Update master index.
+~/www/kdocs/make/indexsections.py -i ~/www/kdocs/master.idx > ~/www/kdocs/master.html || exit 1
+~/www/kdocs/make/indexsections.py ~/www/kdocs/master.idx >> ~/www/kdocs/master.html || exit 1
+
+echo Update linux kernel from kernel.org Mercurial repository
+
+# Update kernel mercurial repository.
+
 cd ~/linux/hg
 hg pull -u
 
@@ -75,6 +82,9 @@
 rm -rf ~/www/kdocs/htmldocs
 cp -a ~/linux/temp/Documentation/DocBook ~/www/kdocs/htmldocs
 cd ~/www/kdocs/htmldocs
+# Work around a bug in xmlto: it puts an incorrect code page into the converted
+# html documents, which produces line noise in the output.
+find . -name "*.html" | xargs sed -i -e 's/.*ISO-8859-1.*//'
 head -n 2 index.html > index2.html
 echo "<ul>" >> index2.html
 for i in $(ls -p | sed -n 's@/$@@p')